# Uses of Class
org.eclipse.emf.cdo.ui.UserInfo

Packages that use UserInfo
Package
Description
org.eclipse.emf.cdo.ui
Reusable UI components specific to the CDO Model Repository.

## Uses of UserInfo in org.eclipse.emf.cdo.ui

Methods in org.eclipse.emf.cdo.ui that return UserInfo
Modifier and Type
Method
Description
`UserInfo`
UserInfo.Manager.`getLocalUser()`
`UserInfo`
UserInfo.Manager.`getRemoteUser(CDORemoteSession remoteSession)`
`UserInfo`
UserInfo.Provider.`getRemoteUser(CDORemoteSession remoteSession)`
`UserInfo`
UserInfo.Manager.UserChangedEvent.`getUserInfo()`
`UserInfo`
UserInfo.Manager.HomeUserInfoStorage.`loadUserInfo()`
`UserInfo`
UserInfo.Manager.PreferencesUserInfoStorage.`loadUserInfo()`
`UserInfo`
UserInfo.Manager.UserInfoStorage.`loadUserInfo()`
Methods in org.eclipse.emf.cdo.ui with parameters of type UserInfo
Modifier and Type
Method
Description
`void`
UserInfo.Manager.HomeUserInfoStorage.`saveUserInfo(UserInfo userInfo)`
`void`
UserInfo.Manager.PreferencesUserInfoStorage.`saveUserInfo(UserInfo userInfo)`
`void`
UserInfo.Manager.UserInfoStorage.Writable.`saveUserInfo(UserInfo userInfo)`
Constructors in org.eclipse.emf.cdo.ui with parameters of type UserInfo
Modifier
Constructor
Description
`protected`
`UserChangedEvent(CDORemoteSession remoteSession, UserInfo userInfo)`